//Copyright (c) 2016, jMonkeyEngine. All rights reserved. 
//Distributed under the BSD licence. 
//Read "rottShortcut/graphical/steer/license.txt".

package rottShortcut.graphical.steer;

import com.jme3.ai.agents.Agent;
import com.jme3.ai.agents.util.GameEntity;
import com.jme3.ai.agents.util.control.GameControl;
import com.jme3.input.FlyByCamera;
import com.jme3.math.Vector3f;
import com.jme3.renderer.Camera;

/**
 * @author Jesús Martín Berlanga
 */
public class SteerGameControl implements GameControl 
{
    public void setInputManagerMapping() {
    }

    public void setCameraSettings(Camera cam) {
    }

    public void setFlyCameraSettings(FlyByCamera flyCam) {
    }
    
    public boolean finish() {
        return false;
    }

    public boolean win(Agent agent) {
        return false;
    }

    public void restart() {
    }

    public void spawn(GameEntity gameEntity, Vector3f... area) 
    {
        gameEntity.setLocalTranslation(area[0]);
    }
}